# $Revision: 1.45 $, $Date: 2008/06/24 11:27:01 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace tool
%bcond_with	verbose		# verbose build (V=1)

%define		subver	b4
%define		prel	0.%{subver}.8

%define		rel		12
Summary:	Linux driver for WLAN cards based on RT2500
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie RT2500
Name:		rt2500
Version:	1.1.0
Release:	%{prel}
License:	GPL v2
Group:		Base/Kernel
# Source0:	http://www.minitar.com/downloads/rt2500_linux-%{version}-b1.tgz
Source0:	http://dl.sourceforge.net/rt2400/%{name}-%{version}-%{subver}.tar.gz
# Source0-md5:	83b8b9a091705c08d99268479f3b3b6a
Patch0:		%{name}-qt.patch
Patch1:		%{name}-init_work.patch
Patch2:		%{name}-inc.patch
Patch3:		%{name}-skb.patch
Patch4:		%{name}-2.6.24.patch
URL:		http://rt2x00.serialmonkey.com/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build }
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
%if %{with userspace}
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.1.1
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A configuartion tool for WLAN cards based on RT2500.

%description -l pl.UTF-8
Program do konfiguracji kart bezprzewodowych opartych na układzie
RT2500.

%package -n kernel%{_alt_kernel}-net-rt2500
Summary:	Linux driver for WLAN cards based on RT2500
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie RT2500
Release:	%{prel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-rt2500
This is a Linux driver for WLAN cards based on RT2500.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-net-rt2500 -l pl.UTF-8
Sterownik dla Linuksa do kart bezprzewodowych opartych na układzie
RT2500.

Ten pakiet zawiera moduł jądra Linuksa.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch0 -p1
#%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e 's#pci_module_init#pci_register_driver#g' Module/rtmp_main.c

%build
%if %{with userspace}
qmake -unix Utilitys/raconfig2500.pro -o Utilitys/Makefile

%{__make} -C Utilitys \
	CXXFLAGS="%{rpmcflags} %(pkg-config qt-mt --cflags)" \
	LDFLAGS="%{rpmldflags}" \
	CXX="%{__cxx}" \
	QTDIR="%{_prefix}"
%endif

%if %{with kernel}
%build_kernel_modules -C Module -m rt2500
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -D Utilitys/RaConfig2500 $RPM_BUILD_ROOT%{_bindir}/RaConfig2500
%endif

%if %{with kernel}
%install_kernel_modules -m Module/rt2500 -d kernel/drivers/net/wireless
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-net-rt2500
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-net-rt2500
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ
%attr(755,root,root) %{_bindir}/RaConfig2500
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-rt2500
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rt2500.spec,v $
Revision 1.45  2008/06/24 11:27:01  arekm
- release 12

Revision 1.44  2008-03-13 20:21:00  arekm
- release 11

Revision 1.43  2008-03-02 22:16:56  zbyniu
- patch for kernel 2.6.24

Revision 1.42  2008-02-11 13:01:16  arekm
- release 10

Revision 1.41  2008-01-22 22:54:38  glen
- rel 9 (2.6.16.59-2)

Revision 1.40  2007-12-17 19:13:54  arekm
- rel 8; fix build for new kernels

Revision 1.39  2007-12-17 14:19:45  arekm
- rel .7

Revision 1.38  2007-12-15 12:00:50  arekm
- rel .6

Revision 1.37  2007-11-29 08:06:05  arekm
- rel .5

Revision 1.36  2007-11-25 14:59:26  arekm
- rel 4

Revision 1.35  2007-10-24 13:52:20  arekm
- rel .3

Revision 1.34  2007/10/12 12:50:38  arekm
- rel .2

Revision 1.33  2007/09/10 00:12:10  zbyniu
- changes against 2.6.22

Revision 1.32  2007/06/03 20:10:31  areq
- BR libiw-devel

Revision 1.31  2007/06/02 21:24:30  arekm
- builds now

Revision 1.30  2007/04/11 07:29:04  shadzik
- add patch1

Revision 1.29  2007/04/11 07:17:04  shadzik
- use new kernel macros
- removed whole smp stuff

Revision 1.28  2007/04/10 23:04:47  shadzik
- qt-devel epoch (still 6)

Revision 1.27  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.25  2007/02/04 16:04:31  areq
- bcond_without up

Revision 1.24  2006/12/02 00:14:04  jackass
- New source

Revision 1.23  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.22  2006/11/13 17:29:06  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros

Revision 1.21  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.20  2006/06/23 10:38:33  qboosh
- X libs used through qt only

Revision 1.19  2006/06/20 14:46:27  shadzik
- up to 1.1.0-b4

Revision 1.18  2006/05/03 22:33:11  areq
- new way of modules build procedure

Revision 1.17  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.16  2006/02/13 08:54:09  aredridel
- builds with newer kernels

Revision 1.15  2006/01/28 23:38:29  areq
- use __cxx

Revision 1.14  2006/01/12 20:24:14  arekm
- rel .3

Revision 1.13  2005/11/13 02:20:02  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.12  2005/11/12 12:03:25  arekm
- rel .2

Revision 1.11  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.10  2005/08/11 13:45:34  areq
- fix module instal dir

Revision 1.9  2005/08/08 20:58:59  areq
- rt2500 1.1.0 BETA 3

Revision 1.8  2005/07/22 06:42:03  qboosh
- userspace is not module

Revision 1.7  2005/07/22 06:37:46  pluto
- bcond fixed, userspace build fixed.

Revision 1.6  2005/05/21 15:06:28  averne
- rel 2

Revision 1.5  2005/03/05 21:58:10  qboosh
- simplified

Revision 1.4  2005/03/05 17:28:11  averne
- updated to b2

Revision 1.3  2005/01/22 10:03:52  averne
- updated to 1.1.0-b1

Revision 1.2  2005/01/22 09:50:12  averne
- fixed to build

Revision 1.1  2005/01/15 12:20:39  averne
- based on rt2400.spec, NFY
